Package bitel.billing.server.call.bean.busevent

# Class LoginChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
bitel.billing.server.call.bean.busevent.LoginChangedEvent

All Implemented Interfaces:
  `Serializable`

public class LoginChangedEvent extends ru.bitel.bgbilling.kernel.event.common.Event

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginChangedEvent()`
  `LoginChangedEvent(int mid, int lid, Date dateFrom, Date dateTo, boolean newStatus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getLoginId()`
  `boolean`
  `getNewStatus()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoginChangedEvent

    public LoginChangedEvent()

  - ### LoginChangedEvent

    public LoginChangedEvent(int mid, int lid, Date dateFrom, Date dateTo, boolean newStatus)

- ## Method Details

  - ### getLoginId

    public int getLoginId()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getNewStatus

    public boolean getNewStatus()